Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.helper
Class HashMap<K,V>

    java.lang.Object
      org.maltparser.core.helper.HashMap<K,V>

Type Parameters:
  `K` - the key type
  `V` - the value type

All Implemented Interfaces:
  Serializable, Map<K,V>

Direct Known Subclasses:
  FeatureEngine, FeatureModel, HeadRules

    public class HashMap<K,V>

extends Object
implements Map<K,V>, Serializable

A memory-efficient hash map.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Constructor Summary
`HashMap()`
`HashMap(Map<? extends K,? extends V> m)`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(Object key)`
`boolean` | `containsValue(Object value)`
`protected void` | `doReadObject(ObjectInputStream in)` Adapted from org.apache.commons.collections.map.AbstractHashedMap.
`protected void` | `doWriteObject(ObjectOutputStream out)` Adapted from org.apache.commons.collections.map.AbstractHashedMap.
`Set<Map.Entry<K,V>>` | `entrySet()`
`boolean` | `equals(Object o)`
`V` | `get(Object key)`
`int` | `hashCode()`
`boolean` | `isEmpty()`
`protected boolean` | `keyEquals(Object a, Object b)` Returns whether two keys are equal for the purposes of this set.
`protected int` | `keyHashCode(Object k)` Returns the hashCode for a key.
`Set<K>` | `keySet()`
`V` | `put(K key, V value)`
`void` | `putAll(Map<? extends K,? extends V> m)`
`V` | `remove(Object key)`
`int` | `size()`
`String` | `toString()`
`protected boolean` | `valueEquals(Object a, Object b)` Returns whether two values are equal for the purposes of this set.
`protected int` | `valueHashCode(Object v)` Returns the hashCode for a value.
`Collection<V>` | `values()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HashMap

    public HashMap()

### HashMap

    public HashMap(Map<? extends K,? extends V> m)

Method Detail

### clear

    public void clear()

  Specified by:
    `clear` in interface `Map<K,V>`

### containsKey

    public boolean containsKey(Object key)

  Specified by:
    `containsKey` in interface `Map<K,V>`

### containsValue

    public boolean containsValue(Object value)

  Specified by:
    `containsValue` in interface `Map<K,V>`

### entrySet

    public Set<Map.Entry<K,V>> entrySet()

  Specified by:
    `entrySet` in interface `Map<K,V>`

### equals

    public boolean equals(Object o)

  Specified by:
    `equals` in interface `Map<K,V>`
  Overrides:
    `equals` in class `Object`

### get

    public V get(Object key)

  Specified by:
    `get` in interface `Map<K,V>`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Map<K,V>`
  Overrides:
    `hashCode` in class `Object`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Map<K,V>`

### keySet

    public Set<K> keySet()

  Specified by:
    `keySet` in interface `Map<K,V>`

### put

    public V put(K key,
                 V value)

  Specified by:
    `put` in interface `Map<K,V>`

### putAll

    public void putAll(Map<? extends K,? extends V> m)

  Specified by:
    `putAll` in interface `Map<K,V>`

### remove

    public V remove(Object key)

  Specified by:
    `remove` in interface `Map<K,V>`

### size

    public int size()

  Specified by:
    `size` in interface `Map<K,V>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### values

    public Collection<V> values()

  Specified by:
    `values` in interface `Map<K,V>`

### doReadObject

    protected void doReadObject(ObjectInputStream in)
                         throws IOException,
                                ClassNotFoundException

  Adapted from org.apache.commons.collections.map.AbstractHashedMap.

  Throws:
    `IOException`
    `ClassNotFoundException`

### doWriteObject

    protected void doWriteObject(ObjectOutputStream out)
                          throws IOException

  Adapted from org.apache.commons.collections.map.AbstractHashedMap.

  Throws:
    `IOException`

### keyEquals

    protected boolean keyEquals(Object a,
                                Object b)

  Returns whether two keys are equal for the purposes of this set.

### keyHashCode

    protected int keyHashCode(Object k)

  Returns the hashCode for a key.

### valueEquals

    protected boolean valueEquals(Object a,
                                  Object b)

  Returns whether two values are equal for the purposes of this set.

### valueHashCode

    protected int valueHashCode(Object v)

  Returns the hashCode for a value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2011 Johan Hall, Jens Nilsson and Joakim Nivre.